Bug Hunting Session
Bug 44545 - EDITING : When filter applied, auto fill erased hidden cells
Summary: EDITING : When filter applied, auto fill erased hidden cells
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.5.0 Beta2
Hardware: Other All
: high critical
Assignee: Kohei Yoshida
URL:
Whiteboard: target:3.5
Keywords: regression
Depends on:
Blocks:
 
Reported: 2012-01-06 12:39 UTC by GerardF
Modified: 2012-01-09 09:06 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
file for test (13.05 KB, application/vnd.oasis.opendocument.spreadsheet)
2012-01-06 12:39 UTC, GerardF
Details

Note You need to log in before you can comment on or make changes to this bug.
Description GerardF 2012-01-06 12:39:37 UTC
Created attachment 55223 [details]
file for test

LibreOffice 3.5.0 beta2 running on Windows Vista.

Auto fill with filter emptied hidden cells.
Step by step :

1. Open attached spreadsheet
2. In autofilter : column A, deselect all, then select only "lundi".
3. Apply the filter. Rows 2, 9 & 16 are visible.
4. In cell B2, type 1
5. Fill down with fill handle (+ at the right end corner of the cell)

Expected : Cells B2, B9, B16 with 1. Other not changed.
Current : Cells B2, B9, B16 displays 1,2,3. Other cells are empty !

It is a regression from 3.4.4
Comment 1 Rainer Bielefeld Retired 2012-01-08 00:58:53 UTC
[Reproducible] with Parallel Dev-Installation of  "LibreOffice 3.5.0 Beta2- WIN7 Home Premium (64bit) German UI [Build-ID : 8589e48-760cc4d-f39cf3d-1b2857e-60db978], Auto Fill Handle modifies hidden cells

"LibreOffice 3.4.5 RC1  - WIN7 Home Premium (64bit) German UI [Build ID: OOO340m1 (Build:501)]" does not touch the hidden cells

I do not expect "1 - 1 - 1" (as it is with 3.4) for "B2 - B9 - B16" after having used Auto Fill Handle after filter. I would expect "1 - 2 - 3"

I believe also 3.4.5RC2 does not work correct. Hidden lines (With selected rows and using row  heading context menu 'hide' will be modified by using Auto Fill Handle. Same problem with 3.5.Hidden is hidden, it does not matter how they have been hidden. Is there any written agreement how that should work? 

@Muthu:
Please feel free to reassign (or reset Assignee to default) if it’s not your area or if provided information is not sufficient. Please set Status to ASSIGNED if you accept this Bug.
Comment 2 Kohei Yoshida 2012-01-09 06:50:21 UTC
I'll look into this.